
Understanding Society User Support - Support #1171

How to match information of any two household members across waves 

03/23/2019 03:56 PM - Nico Ochmann

Status: Resolved Start date: 03/23/2019

Priority: High % Done: 100%

Assignee: Nico Ochmann   

Category: Data management   

Description

Dear Stephanie,

the handout to the question about matching info of any two hh members states that I quote: "In this example we will be using data

from Wave 1, but the method will work with data from any wave."

Question: Does the method also apply to an analysis across waves including all waves?

The reason I ask this is because if I look at my wage regression I have an estimation sample for married women with roughly 28,000

married females (given the control variables). When I follow the method described in the handout (example 7) and use the same

control variables, I only have roughly 19,000 married (matched) females in my wage regression. I seemed to have lost quite a

number of observations through the matching process.

Thanks.

I appreciate your thoughts on this issue.

History

#1 - 03/25/2019 10:11 AM - Alita Nandi

- Status changed from New to In Progress

- Assignee changed from Alita Nandi to Nico Ochmann

Hi Nico,

Yes, you can replicate this matching excercise for each wave. You could do this excercise for each wave and then append those together for a long

format file. But without knowing further details we cannot advise.

However, a colleague has suggested that the difference between 28K & 19K could be due to not employed women - as anyone who is not employed

will not have a wage and hence not be included in your wage regression.

Best wishes,

Alita

#2 - 03/25/2019 12:05 PM - Nico Ochmann

Dear Alita,

have not heard from you in a while, but Stephanie was very helpful too.

Both the 28K and 19K are wage regressions, so that would not be the explanation. But there might be another one.

You write to replicate that for each wave and then append. You see here might lie my fatal error. I have appended all eight waves on my key variables

and then I have used the procedure outlined in the handout example 7.

Why might this be incorrect?

Best wishes from Manchester.

Nico

#3 - 03/27/2019 10:31 AM - Alita Nandi

- % Done changed from 0 to 60

Stephanie now handles this forum and I am responding as she is away :)

When matching for each wave separately (as shown in the example), you are asked to only use w_hidp, w_pno, w_ppno. But if you are appending

first and then matching, you should have to use both w_hidp, w_pno, w_ppno and wave. Did you do that?

If that is not the answer then we would need to know more about exactly what you are doing to advice. We have a weekly online interactive helpdesk
hour every Wed 2-3pm where we answer questions directly. If you are free at that time you can join in. It may be easier to discuss this directly. [

https://www.understandingsociety.ac.uk/2019/02/07/understanding-society-help-desk-hour]. Basically you will need to email 

usersupport@understandingsociety.ac.uk and we will send you the login instructions.

Best wishes,

Alita

#4 - 03/27/2019 12:58 PM - Nico Ochmann

Dear Alita,

thanks for your prompt reply. You write:

When matching for each wave separately (as shown in the example), you are asked to only use w_hidp, w_pno, w_ppno. But if you are appending

first and then matching, you should have to use both w_hidp, w_pno, w_ppno and wave. Did you do that? Nope, I did not use wave. I did just send

you a login request for the online helpdesk at 2pm.

Thanks, and I hope I can get the login info before 2pm.

See you then.

Nico

#5 - 03/27/2019 02:24 PM - Alita Nandi

- File example7_ForeMoreThanOneWave.txt added

Following on from our discussion now here is the syntax file.

#6 - 03/27/2019 02:29 PM - Alita Nandi

- Private changed from Yes to No

#7 - 04/07/2019 12:07 PM - Nico Ochmann

Sorry for the late reply Alita,

if you add to your code above the following line: rename sp_`w'_* sp_* , then everything I believe is correct and runs well.

Thanks again for your splendid help.

Have a great week.

Nico

#8 - 08/14/2020 05:38 PM - Alita Nandi

- Status changed from In Progress to Resolved

- % Done changed from 60 to 100

#9 - 08/22/2023 01:14 PM - Understanding Society  User Support Team

- Category changed from Data analysis to Data management

Files

example7_ForeMoreThanOneWave.txt 1.52 KB 03/27/2019 Alita Nandi
